'use strict';
if (!CTP) var CTP = {};
(function ($,window, undefined) {
	/*
		私有方法
	 */
	function addEvent( obj, type, fn ) { 
		if ( obj.attachEvent ) { 
			obj['e'+type+fn] = fn; 
			obj[type+fn] = function(){obj['e'+type+fn]( window.event );} 
			obj.attachEvent( 'on'+type, obj[type+fn] ); 
		} else 
			obj.addEventListener( type, fn, false ); 
	} 
	function removeEvent( obj, type, fn ) { 
		if ( obj.detachEvent ) { 
			obj.detachEvent( 'on'+type, obj[type+fn] ); 
			obj[type+fn] = null; 
		} else 
		obj.removeEventListener( type, fn, false ); 
	}
	function domReady(f) {
	    // 假如DOM已经加载，马山执行函数
	    if(domReady.done) return f();

	    // 假如我们已经增加了一个函数
	    if(domReady.timer) {
	        // 把它假如待执行函数清单中
	        domReady.ready.push(f);
	    } else {
	        // 为页面加载完毕绑定一个事件，以防它最先完成。
	        addEvent(window, "load", isDOMReady);
	        // 初始化执行函数的数组
	        domReady.ready = [f];
	        // 尽可能快的检查DOM是否已可用
	        domReady.timer = setInterval(isDOMReady, 13);
	    }
	}

	// 检查 DOM 是否已可操作
	function isDOMReady() {
	    // 如果我们能判断出DOM已可能，忽略
	    if(domReady.done) return false;

	    // 检查若干函数和元素是否可能
	    if(document && document.getElementsByTagName && document.getElementById && document.body) {
	        // 如果可用，我们停止检查
	        clearInterval(domReady.timer);
	        domReady.timer = null;
			console.log(domReady.ready.length);
	        // 执行所有正在等待的函数
	        for(var i = 0; i < domReady.ready.length; i++) {
	            domReady.ready[i]();
	            // 记录我们在此已经完成
	            domReady.ready = null;
	            domReady.done = true;
	        }
	    }
	}
	$.domReady = domReady;
	$.suchivaUtil = {
		
	};
})(af, window);