'use strict';
if (typeof TestCTP === 'undefined') {
	var TestCTP = {};
}
(function () {
	var data = {
		linkTxt: [
			{'name': '$.ajax'},
			{'name': '$.bind'},
			{'name': '$.cleanUpContent'},
			{'name': '$.create'},
			{'name': '$.each'},
			{'name': '$.extend'},
			{'name': '$.get'},
			{'name': '$.is$'},
			{'name': '$.isArray'},
			{'name': '$.isFunction'},
			{'name': '$.isObject'},
			{'name': '$.jsonP'},
			{'name': '$.map'},
			{'name': '$.param'},
			{'name': '$.parseJSON'},
			{'name': '$.post'},
			{'name': '$.proxy'},
			{'name': '$.query'},
			{'name': '$.trigger'},
			{'name': '$.unbind'},
			{'name': '$.uuid'},
			{'name': '.addClass'},
			{'name': '.append'},
			{'name': '.appendTo'},
			{'name': '.attr'},
			{'name': '.children'},
			{'name': '.clone'},
			{'name': '.closest'},
			{'name': '.computedStyle'},
			{'name': '.contents'},
			{'name': '.css'},
			{'name': '.cssTranslate'},
			{'name': '.data'},
			{'name': '.empty'},
			{'name': '.end'},
			{'name': '.eq'},
			{'name': '.filter'},
			{'name': '.find'},
			{'name': '.hasClass'},
			{'name': '.height'},
			{'name': '.hide'},
			{'name': '.html'},
			{'name': '.index'},
			{'name': '.insertAfter'},
			{'name': '.insertBefore'},
			{'name': '.is'},
			{'name': '.not'},
			{'name': '.off'},
			{'name': '.offset'},
			{'name': '.on'},
			{'name': '.one'},
			{'name': '.parent'},
			{'name': '.parents'},
			{'name': '.prepend'},
			{'name': '.prependTo'},
			{'name': '.ready'},
			{'name': '.remove'},
			{'name': '.removeAttr'},
			{'name': '.removeClass'},
			{'name': '.removeProp'},
			{'name': '.serialize'},
			{'name': '.show'},
			{'name': '.siblings'},
			{'name': '.size'},
			{'name': '.text'},
			{'name': '.toggle'},
			{'name': '.val'},
			{'name': '.width'},
			{'name': '$.ui.goBack'},
			{'name': '$.ui.launch'},
			{'name': '$.ui.loadContent'},
			{'name': '$.ui.loadDefaultHash'},
			{'name': '$.ui.manageHistory'},
			{'name': '$.ui.popup'},
			{'name': '$.ui.ready'},
			{'name': '$.ui.scrollToBottom'},
			{'name': '$.ui.scrollToTop'},
			{'name': '$.ui.setBackButtonText'},
			{'name': '$.ui.setTitle'},
			{'name': '$.ui.showMask'},
			{'name': '$.ui.toggleHeaderMenu'},
			{'name': '$.ui.toggleSideMenu'},
			{'name': '$.ui.unblockUI'},
			{'name': '$.ui.updatePanel'},
			{'name': '$.ui.enablePullToRefresh'},
			{'name': '$.ui.disablePullToRefresh'}

		],
		FnData: {
			"$.ajax": [
				{title: '$.ajax(options)', content: '执行Ajax call <br/>options.type - 请求类型 eg. GET/POST <br/>options.beforeSend - function to execute before sending the request<br/>options.success - success callback<br/>options.error - error callback<br/>options.complete - complete callback - callled with a success or error <br/>options.timeout - timeout to wait for the request <br/>options.url - URL to make request against <br/> options.contentType - HTTP Request Content Type <br/>options.headers - Object of headers to set <br/>options.dataType - Data type of request <br/>options.data - data to pass into request.  $.param is called on objects'},
				{title: '举例', content: '  var opts={ <br/>type:"GET",<br/>success:function(data){},<br/>url:"mypage.php",<br/>data:{bar:"bar"},<br/> }<br/>$.ajax(opts);'},
				{title: '发送json数据到服务器的例子', content: '$.ajax({<br/>type:"post",<br/> url:"/api/updateuser/", <br/> data:{id:1,username:\'bill\'},<br/>contentType:"application/json"});'}
			],
			"$.bind": [
				{title: '$.bind(object,event,function);', content: '给object(非DOM)绑定事件'},
				{title: '举例', content: '$.bind(this,"event",function(){});'},
				{title: '参数', content: 'object                        Object <br/>event                         String <br/>function                      Function'},
				{title: '说明', content: '给object(非DOM)绑定事件'}
			],
			"$.cleanUpContent": [
				{title: '$.cleanUpContent(node,itself,kill)', content: '清除node内容的函数，可以避免内存泄露'},
				{title: '举例', content: ' $.cleanUpContent(node,itself,kill)'},
				{title: '参数', content: 'node                          HTMLNode<br/>kill                          Bool<br/>Kill                          bool'},
				{title: 'Detail', content: '$.cleanUpContent(node,[itself],[kill]) 此函数会循环dom并且试图清除所有的事件绑定而避免内存泄露. <br/>此函数在内部被 $().html() 及 $().empty() 调用.'}
			],
			"$.create": [
				{title: '$.create(type,[params])', content: '$.create - 是 $("this is some text") 高效率的替代方法;'}, 
				{title: '举例', content: '$.create("div",{id:"main",innerHTML:"this is some text"});<br/>$.create("this is some text");'},
				{title: '参数', content: 'DOM                           String<br/>properties                    [Object]'},
				{title: 'Returns', content: 'Object                        Returns  object'},
				{title: 'Detail', content: '$.create 可以按两种模式工作.<br/>解析字符串然后返回(较慢)<br/>使用document.createElement创建元素然后设置属性(较快)<br/>下面的例子会产生相同的Node. 但是第一个较快.<br/>var faster=$.create("div",{id:"test",html:"Test HTML"})<br/>var slower=$.create(" < div id=\'test\'>Test HTML< /div> ");'} 
			],
			"$.each": [
				{title: '$.each(elements,callback)', content: '迭代器.返回false终止迭代'},
				{title: '举例', content: '$.each([1,2],function(ind){console.log(ind);});'},
				{title: '参数', content: 'elements                      Array|Object <br/>callback                      Function'},
				{title: 'Returns', content: 'Array                         elements'}
			],
			"$.extend": [
				{title: '$.extend(target,[target] Object)', content: 'Extends an object with additional arguments'},
				{title: '举例', content: '$.extend({foo:"bar"});<br/>$.extend(element,{foo:"bar"});<br/>var cart={<br/>apples:1,<br/>bread:2<br/>}<br/>var productsToAdd={<br/>bananas:2,<br/>oranges:3<br/>}<br/>$.extend(cart,productsToAdd);<br/>/*<br/>cart = {<br/>apples:1,<br/>bread:2,<br/>bananas:2,<br/>oranges:3,<br/>}<br/>*/'},
				{title: 'Returns', content: 'Object                        [target]'}
			],
			"$.get": [
				{title: '$.get(url,success)', content: 'ajax get请求'},
				{title: '举例', content: ' $.get("mypage.php?foo=bar",function(data){});'},
				{title: '参数', content: 'url                           String<br/>success                       Function'}
			],
			"$.getJSON": [
				{title: '$.getJSON(url,data,success)', content: ''},
				{title: '举例', content: '$.getJSON(\'mypage.php\',<br/>{\'foo\':\'bar\'},<br/>function(data){<br/>//interact with JSON object<br/>}<br/>);'},
					{title: '参数', content: 'url                           String<br/>[data]                        Object<br/>[success]                     Function'}
			],
			"$.is$": [
				{title: '$.is$(param)', content: '检测是否是$对象'},
				{title: '举例', content: 'var foo=$("#header");$.is$(foo);<br/>var tmp = $("div");<br/>var bar=null;<br/>function test(el){<br/>if($.is$(el)) //if we have an App Framework object, get the first element<br/>el=el[0];<br/>};<br/>alert(test(tmp));//true<br/>alert(test(bar));//false'},
				{title: '参数', content: 'element                       Object'},
				{title: 'Returns', content: 'Boolean'}
			],
			"$.isArray": [
				{title: '$.isArray(param)', content: '是否是数组检测'},
				{title: '举例', content: 'var arr=[];<br/>$.isArray(arr);<br/><br/>var notArray={};<br/>var isArray=[];<br/>function testIsArray(pass){<br/>if(pass)<br/>alert($.isArray(isArray));<br/>else<br/>alert($.isArray(notArray));<br/>}'},
				{title: '参数', content: 'element                       Object'},
				{title: 'Returns', content: 'Boolean'}
			],
			"$.isFunction": [
				{title: '$.isFunction(param)', content: '是否是function检测'},
				{title: '举例', content: 'var func=function(){};$.isFunction(func);'},
				{title: '参数', content: 'element                       Object'},
				{title: 'Returns', content: 'Boolean'},
				{title: 'Detail', content: '$.isFunction returns true or false if the passed in parameter is indeed a function.See the following examples<br/><br/>var notFunction={};<br/>var isFunction=function(){};<br/>function testisFunction(pass){<br/>if(pass)<br/>alert($.isFunction(isFunction));<br/>else<br/>alert($.isFunction(notFunction));}'}
			],
			"$.isObject": [
				{title: '$.isObject(param)', content: '是否是object检测'},
				{title: '举例', content: 'var foo={bar:"bar"};<br/>$.isObject(foo);'},
				{title: '参数', content: 'element                       Object'},
				{title: 'Returns', content: 'Boolean'},
				{title: 'Detail', content: '$.isObject returns true or false if the passed in parameter is indeed an object.<br/>See the following examples<br/>var notObject=function(){};<br/>var isObject={};<br/>function testisObject(pass){<br/>if(pass)<br/>alert($.isObject(isObject));<br/>else<br/>alert($.isObject(notObject));}'}
			],
			"$.jsonP": [ 
				{title: '$.jsonP(options)', content: '执行一个jsonp请求<br/>options.url - URL to call<br/>options.success - Success function to call<br/>options.error - Error function to call'},
				{title: '举例', content: '$.jsonP({url:"mysite.php?foo=bar",success:function(){},error:function(){}});'},
				{title: '参数', content: 'options                       Object'},
				{title: 'Returns', content: 'undefined'},
				{title: 'Detail', content: '$.jsonP 方法会执行一个jsonp的请求，这将允许你进行跨域操作<br/>点击这里了解 什么是<a href="http://json-p.org/" style="color: red;">jsonp</a><br/>$.jsonP(url:"URL", success:function(data){console.log(\'data\')}, <br/>timeout:"1000", error:function(){} ) - makes a jsonP call for cross domain scripting'}
			],
			"$.map": [
				{title: '$.map(elements,callback)', content: 'Map takes in elements and executes a callback function on each and returns a collection'},
				{title: '举例', content: '  $.map([1,2],function(ind){return ind+1});<br/><br/> function testMap(){<br/>var final=[1,2,3];<br/> var res=$.map([0,1,2],function(ind){return ind+1}).get(0);<br/>var pass=true;<br/>if(final.length!==res.length){<br/>pass=false;<br/>}<br/>for(var i=0; i < final.length; i++){<br/>if(final[i]!==res[i])<br/>pass=false;<br/>}<br/>alert(pass);<br/>}'},
				{title: '参数', content: 'elements                      Array|Object<br/>callback                      Function'},
				{title: 'Returns', content: 'array                         array with elements'}
			],
			"$.param": [
				{title: '$.param(object,[prefix];', content: ' 将object转换成键值对，通常用于将object转换成query string'},
				{title: '举例', content: 'var obj={<br/>foo:"foo",<br/>bar:"bar"}<br/>var kvp=$.param(obj,"data");'},
				{title: '参数', content: 'object                        Object<br/>[prefix]                      String'},
				{title: 'Returns', content: 'String                        Key/value pair representation'},
				{title: 'Detail', content: '$.param(object,[prefix]) is usefull for converting an object to query string variables.<br/>Let\'s look at the following object <br/>var obj {<br/>foo:\'bar\',id:\'12\'}'}
			],
			"$.parseJSON": [
				{title: '$.parseJSON(string)', content: '将string转换成json'},
				{title: '举例', content: 'var obj=$.parseJSON("{\"bar\":\"bar\"}");'},
				{title: 'Returns', content: 'Object'},
				{title: 'Detail', content: '通常情况下我们会使用JSON.parse<br/>var obj=$.parseJSON("{\"foo\":\"bar\"}");'}
			],
			"$.post": [
				{title: '$.post(url,[data],success,[dataType])', content: ''},
				{title: '举例', content: '  $.post("mypage.php",{bar:"bar"},function(data){});'},
				{title: '参数', content: 'url                           String<br/>[data]                        Object<br/>success                       Function<br/>[dataType]                    String'},
				{title: 'Returns', content: 'undefined'},
				{title: 'Detail', content: '$.post(url,[data],success,[dataType]) 执行一个post请求<br/>下面的例子是一个简单的post请求例子，请求成功返回后会执行callback<br/><br/>$.post("mypage.php",function(res){console.log(res)});<br/>下面的例子使用请求类型的参数<br/><br/>$.post("mypage.php",{username:\'foo\'},function(res){},\'html\');'}
			],
			"$.proxy": [
				{title: '$.proxy(callback,context);', content: '  返回一个新函数，并且这个函数始终保持了特定的作用域'},
				{title: '举例', content: ' var newObj={foo:bar}<br/>$("#main").bind("click",$.proxy(function(evt){console.log(this)},newObj);<br/>( $.proxy(function(foo, bar){console.log(this+foo+bar)}, newObj) )("foo", "bar");<br/>( $.proxy(function(foo, bar){console.log(this+foo+bar)}, newObj, ["foo", "bar"]) )();'},
				{title: '参数', content: 'callback                      Function<br/>Context                       Object'},
				{title: 'Detail', content: '$.proxy(callback,context) 返回一个新函数，并且这个函数始终保持了特定的作用域<br/><br/>var newObj={foo:bar}<br/>$("#main").bind("click",$.proxy(function(evt){console.log(this)},newObj);'}
			],
			"$.query": [
				{title: '$.query(selector,[context])', content: '$.query  - $("div") 的一种替代，但是$.query更快 ;'},
				{title: '举例', content: '$.query(".panel");'},
				{title: '参数', content: 'selector                      String<br/>[context]                     Object'},
				{title: 'Returns', content: 'Object        Returns $  object'},
				{title: 'Detail', content: '$.query(selector,[context]) 比使用 $() 更快.<br/>$.query 使您直接跳转到 query selector engine 并且返回 $ collection.<br/>注意context必须是dom node.<br/><br/>var divs=$.query("divs");<br/>var elem=$.query("#main");<br/>var lis=$.query("li",$("#main").get(0));'}
			],
			"$.trigger": [
				{title: '$.trigger(object,event,argments);	', content: '触发一个自定义的事件'},
				{title: '举例', content: ' $.trigger(this,"event",arguments);'},
				{title: '参数', content: 'object                        Object<br/>event                         String<br/>arguments                    Array'}
			],
			"$.unbind": [
				{title: '$.unbind(object,event,function);', content: '取消自定义事件绑定'},
				{title: '举例', content: ' $.unbind(this,"event",function(){});'},
				{title: '参数', content: 'object                        Object<br/>event                         String<br/>function                      Function'},
				{title: 'Returns', content: 'undefined'}
			],
			"$.uuid": [
				{title: '$.uuid', content: '产生随机ID'},
				{title: '举例', content: ' var id= $.uuid();'},
				{title: '参数', content: '<br/>'},
				{title: 'Returns', content: 'undefined'},
				{title: 'Detail', content: '$.uuid 产生随机ID<br/>var id=$.uuid();'}
			], 
			".addClass": [
				{title: '.addClass(name)', content: 'Adds a css class to elements.'},
				{title: '举例', content: '$().addClass("selected");'},
				{title: '参数', content: 'classes                       String'},
				{title: 'Returns', content: 'Object                        cQuery  object'}
			],
			".append": [
				{title: '.append(element,[insert],[content])', content: 'Appends to the elements We boil everything down to an cQuery  object and then loop through that.If it is HTML, we create a dom element so we do not break event bindings.if it is a script tag, we evaluate it.'},
				{title: '举例', content: '$().append(""); //Creates the object from the string and appends it $().append($("#foo")); //Append an object;'},
				{title: '参数', content: 'Element/string                String|Object<br/>[insert]                      Boolean'},
				{title: 'Returns', content: 'Object                        cQuery  object'}
			],
			".appendTo": [
				{title: '.appendTo(element,[insert])', content: 'Appends the current collection to the selector'},
				{title: '举例', content: '$().appendTo("#foo"); //Append an object;'},
				{title: '参数', content: 'Selector                      String|Object<br/>[insert]                      Boolean'},
				{title: 'Returns', content: 'undefined'}
			],
			".attr": [
				{title: '.attr(attribute,[value])', content: 'Gets or sets an attribute on an element<br/>If used as a getter, we return the first elements value.  If nothing is in the collection, we return undefined'},
				{title: '举例', content: '$().attr("foo"); //Gets the first elements "foo" attribute<br/>$().attr("foo","bar");//Sets the elements "foo" attribute to "bar"<br/>$().attr("foo",{bar:"bar"}) //Adds the object to an internal cache'},
				{title: '参数', content: 'attribute                     String|Object<br/>[value]                       String|Array|Object|function'},
				{title: 'Returns', content: 'String,Object,Array,Function  If used as a getter, return the attribute value. If a setter, return an cQuery  object'}
			],
			".bind": [
				{title: '.bind(event,callback)', content: 'Binds an event to each element in the collection and executes the callback'},
				{title: '举例', content: '  $().bind("click",function(){console.log("I clicked "+this.id);});'},
				{title: '参数', content: 'event                         String|Object<br/>callback                      Function'},
				{title: 'Returns', content: 'Object                        cQuery  object'}
			],
			".children": [
				{title: '.children(selector)', content: 'Returns the child nodes of the elements based off the selector'},
				{title: '举例', content: '      $("#foo").children(".bar"); //Selector<br/>$("#foo").children($(".bar")); //Objects<br/>$("#foo").children($(".bar").get(0)); //Single element'},
				{title: '参数', content: '[selector]                    String|Array|Object'},
				{title: 'Returns', content: 'Object                        cQuery  object with unique children'}
			],
			".clone": [
				{title: '.clone();', content: 'Clones the nodes in the collection.'},
				{title: '举例', content: '$().clone();// Deep clone of all elements<br/>$().clone(false); //Shallow clone'},
				{title: '参数', content: '[deep]                        Boolean'},
				{title: 'Returns', content: 'Object                        cQuery  object of cloned nodes'}
			],
			".closest": [
				{title: '.closest(selector,[context]);', content: 'Returns the closest element based off the selector and optional context'},
				{title: '举例', content: '$("#foo").closest(".bar"); //Selector<br/>$("#foo").closest($(".bar")); //Objects<br/>$("#foo").closest($(".bar").get(0)); //Single element'},
				{title: '参数', content: 'selector                      String|Array|Object<br/>[context]                     Object'},
				{title: 'Returns', content: 'Object                        Returns an cQuery  object with the closest element based off the selector'}
			],
			".computedStyle": [
				{title: '.computedStyle()', content: 'Gets the computed style of CSS values'},
				{title: '举例', content: '     $("#main").computedStyle("display");'},
				{title: '参数', content: 'css                           String'},
				{title: 'Returns', content: 'Int,String,Float,             css vlaue'}
			],
			".contents": [
				{title: '.contents(selector)', content: 'Returns the child nodes of the elements based off the selector and includes text nodes'},
				{title: '举例', content: '$("#foo").contents(".bar"); //Selector<br/>$("#foo").contents($(".bar")); //Objects<br/>$("#foo").contents($(".bar").get(0)); //Single element'},
				{title: '参数', content: '[selector]                    String|Array|Object'},
				{title: 'Returns', content: 'Object                        cQuery  object with unique children'}
			],
			".css": [
				{title: '.css(attribute,[value])', content: 'Gets or sets a css property for the collection<br/>If used as a get, the first elements css property is returned<br/>This will add px to properties that need it.'},
				{title: '举例', content: '      $("#foo").contents(".bar"); //Selector<br/>$("#foo").contents($(".bar")); //Objects<br/>$("#foo").contents($(".bar").get(0));<br/>//Single element'},
				{title: '参数', content: '[selector]                    String|Array|Object'},
				{title: 'Returns', content: 'Object                        cQuery  object with unique children'}
			],
			".cssTranslate": [
				{title: '.cssTranslate(value)', content: 'Returns the child nodes of the elements based off the selector and includes text nodes'},
				{title: '举例', content: '      $("#foo").contents(".bar"); //Selector<br/>$("#foo").contents($(".bar")); //Objects<br/>$("#foo").contents($(".bar").get(0));<br/>//Single element'},
				{title: '参数', content: '[selector]                    String|Array|Object'},
				{title: 'Returns', content: 'Object                        cQuery  object with unique children'}
			],
			".data": [
				{title: '.data(key,[value]);', content: 'Gets or set data-* attribute parameters on elements (when a string)<br/>When used as a getter, it"s only the first element'},
				{title: '举例', content: ' $().data("foo"); //Gets the data-foo attribute for the first element<br/>$().data("foo","bar"); //Sets the data-foo attribute for all elements<br/>$().data("foo",{bar:"bar"});//object as the data'},
				{title: '参数', content: 'key                           String<br/>value                         String|Array|Object'},
				{title: 'Returns', content: 'String,Object                 returns the value or cQuery  object'}
			],
			".delegate": [
				{title: '.delegate(selector,event,[data],callback)', content: 'Delegate an event based off the selector.  The event will be registered at the parent level, but executes on the selector.'},
				{title: '举例', content: '  $("#div").delegate("p","click",callback);'},
				{title: '参数', content: 'selector                      String|Array|Object<br/>event                         String|Object<br/>data                          Object<br/>callback                      Function'},
				{title: 'Returns', content: 'Object                        cQuery  object'}
			],
			".each": [
				{title: '.each(function)', content: 'Iterates through all elements and applys a callback function'},
				{title: '举例', content: '      $().each(function(){console.log(this.value)});'},
				{title: '参数', content: 'callback                      Function'},
				{title: 'Returns', content: 'Object                        an cQuery  object'}
			],
			".empty": [
				{title: '.empty()', content: 'Sets the innerHTML of all elements to an empty string'},
				{title: '举例', content: '$().empty();'},
				{title: '参数', content: '&nbsp;<br/>'},
				{title: 'Returns', content: 'Object                        an cQuery  object'}
			],
			".end": [
				{title: '.end();', content: 'Rolls back the appframework elements when filters were applied<br/>This can be used after .not(), .filter(), .children(), .parent()' },
				{title: '举例', content: '$().filter(".panel").end(); //This will return the collection BEFORE filter is applied'},
				{title: '参数', content: '<br/>'},
				{title: 'Returns', content: 'Object                        returns the previous cQuery  object before filter was applied'}
			],
			".eq": [
				{title: '.eq(index)', content: 'Reduce the set of elements based off index'},
				{title: '举例', content: '$().eq(index)'},
				{title: '参数', content: 'ind                           Int'},
				{title: 'Returns', content: 'Object                        cQuery  object'}
			],
			".filter": [
				{title: '.filter(selector);', content: 'Filters elements based off the selector'},
				{title: '举例', content: '$("#foo").filter(".bar"); //Selector<br/>$("#foo").filter($(".bar")); //Objects<br/>$("#foo").filter($(".bar").get(0)); //Single element'},
				{title: '参数', content: 'selector                      String|Array|Object'},
				{title: 'Returns', content: 'Object                        Returns an cQuery  object after the filter was run'}
			],
			".find": [
				{title: '.find(selector)', content: 'Searches through the collection and reduces them to elements that match the selector'},
				{title: '举例', content: ' $("#foo").find(".bar");<br/>$("#foo").find($(".bar"));<br/>$("#foo").find($(".bar").get(0));'},
				{title: '参数', content: 'selector                      String|Object|Array'},
				{title: 'Returns', content: 'Object                        an cQuery  object filtered'}
			],
			".get": [
				{title: '.get([index])', content: 'Returns the raw DOM element.'},
				{title: '举例', content: '$().get(0); //returns the first element<br/>$().get(2);// returns the third element<br/>'},
				{title: '参数', content: '[index]                       Int'},
				{title: 'Returns', content: 'Object                        raw DOM element'}
			],
			".hasClass": [
				{title: '.hasClass(name,[element])', content: 'Checks to see if an element has a class.'},
				{title: '举例', content: '$().hasClass("foo");<br/>$().hasClass("foo",element);'},
				{title: '参数', content: 'class                         String<br/>[element]                     Object'},
				{title: 'Returns', content: 'Boolean'}
			],
			".height": [
				{title: '.height()', content: 'returns the height of the element, including padding on IE'},
				{title: '举例', content: '$().height();'},
				{title: '参数', content: '<br/>'},
				{title: 'Returns', content: 'string                        height'}
			],
			".hide": [
				{title: '.hide()', content: 'Sets the elements display property to "none".<br/>This will also store the old property into an attribute for hide'},
				{title: '举例', content: '$().hide();'},
				{title: '参数', content: '<br/>'},
				{title: 'Returns', content: 'Object                        an cQuery  object'}
			],
			".html": [
				{title: '.html([html])', content: 'Gets or sets the innerHTML for the collection.<br/>If used as a get, the first elements innerHTML is returned'},
				{title: '举例', content: '      $("#foo").contents(".bar"); //Selector<br/>$("#foo").contents($(".bar")); //Objects<br/>$("#foo").contents($(".bar").get(0));<br/>//Single element'},
				{title: '参数', content: 'html                          String<br/>[cleanup]                     Bool'},
				{title: 'Returns', content: 'Object                        an cQuery  object'}
			],
			".index": [
				{title: '.index(elem)', content: 'Returns the index of the selected element in the collection'},
				{title: '举例', content: '$().index(elem);'},
				{title: '参数', content: 'elem                          String|Object'},
				{title: 'Returns', content: 'integer                       - index of selected element'}
			],
			".insertAfter": [
				{title: '.insertAfter(target);', content: 'Inserts collection after the target (adjacent)'},
				{title: '举例', content: '$().insertAfter(af("#target"));'},
				{title: '参数', content: 'target                        String|Object'},
				{title: 'Returns', content: 'undefined'}
			],
			".insertBefore": [
				{title: '.insertBefore(target);', content: 'Inserts collection before the target (adjacent)'},
				{title: '举例', content: '      $().insertBefore(af("#target"));'},
				{title: '参数', content: 'Target                        String|Object'},
				{title: 'Returns', content: 'undefined'}
			],
			".is": [
				{title: '.is(selector)', content: 'Returns boolean if the object is a type of the selector'},
				{title: '举例', content: ' $().is(selector)'},
				{title: '参数', content: 'selector                      String|Object'},
				{title: 'Returns', content: 'boolean'}
			],
			".map": [
				{title: '.map(function)', content: 'This is a wrapper to $.map on the selected elements'},
				{title: '举例', content: '$().map(function(){this.value+=ind});'},
				{title: '参数', content: 'callback                      Function'},
				{title: 'Returns', content: 'Object                        an cQuery  object'}
			],
			".not": [
				{title: '.not(selector);', content: 'Basically the reverse of filter.  Return all elements that do NOT match the selector'},
				{title: '举例', content: '$("#foo").not(".bar"); //Selector<br/>$("#foo").not($(".bar")); //Objects<br/>$("#foo").not($(".bar").get(0)); //Single element'},
				{title: '参数', content: 'selector                      String|Array|Object'},
				{title: 'Returns', content: 'Object                        Returns an cQuery  object after the filter was run'}
			],
			".off": [
				{title: '.off(event,selector,[callback])', content: 'Removes event listeners for .on()<br/>If selector is undefined or a function, we call unbind, otherwise it"s undelegate'},
				{title: '举例', content: ' $().off("click","p",callback); //Remove callback function for click events<br/>$().off("click","p") //Remove all click events'},
				{title: '参数', content: 'event                         String|Object<br/>selector                      String|Array|Object<br/>callback                      Sunction'},
				{title: 'Returns', content: 'Object                        cQuery  object'}
			],
			".offset": [
				{title: '.offset()', content: 'Returns the offset of the element, including traversing up the tree'},
				{title: '举例', content: '      $().offset();'},
				{title: '参数', content: '<br/>'},
				{title: 'Returns', content: 'Object                        cQuery  object with unique children'}
			],
			".on": [
				{title: '.closest(selector,[context]);', content: 'Returns the child nodes of the elements based off the selector and includes text nodes'},
				{title: '举例', content: '      $("#foo").contents(".bar"); //Selector<br/>$("#foo").contents($(".bar")); //Objects<br/>$("#foo").contents($(".bar").get(0));<br/>//Single element'},
				{title: '参数', content: '[selector]                    String|Array|Object'},
				{title: 'Returns', content: 'Object                        cQuery  object with unique children'}
			],
			".one": [
				{title: '.one(event,callback);', content: 'Binds an event to each element in the collection that will only execute once.  When it executes, we remove the event listener then right away so it no longer happens'},
				{title: '举例', content: '$().one("click",function(){console.log("I was clicked once");});'},
				{title: '参数', content: 'event                         String|Object<br/>[callback]                    Function'},
				{title: 'Returns', content: 'appframework                  object'}
			],
			".parent": [
				{title: '.parent(selector)', content: 'Returns the parent nodes of the elements based off the selector'},
				{title: '举例', content: '$("#foo").parent(".bar");<br/>$("#foo").parent($(".bar"));<br/>$("#foo").parent($(".bar").get(0));'},
				{title: '参数', content: '[selector]                    String|Array|Object'},
				{title: 'Returns', content: 'Object                        cQuery  object with unique parents'}
			],
			".parents": [
				{title: '.parents(selector)', content: 'Returns the parents of the elements based off the selector (traversing up until html document)'},
				{title: '举例', content: ' $("#foo").parents(".bar");<br/>$("#foo").parents($(".bar"));<br/>$("#foo").parents($(".bar").get(0));'},
				{title: '参数', content: '[selector]                    String|Array|Object'},
				{title: 'Returns', content: 'Object                        cQuery  object with unique parents'}
			],
			".prepend": [
				{title: '.prepend(element)', content: 'Prepends to the elements<br/>This simply calls append and sets insert to true'},
				{title: '举例', content: ' $().prepend("");//Creates the object from the string and appends it<br/>$().prepend($("#foo")); //Prepends an object'},
				{title: '参数', content: 'Element/string                String|Object'},
				{title: 'Returns', content: 'Object                        cQuery  object'}
			],
			".prependTo": [
				{title: '.prependTo(element)', content: 'Prepends the current collection to the selector'},
				{title: '举例', content: '      $().prependTo("#foo"); //Prepend an object;'},
				{title: '参数', content: 'Selector                      String|Object'},
				{title: 'Returns', content: 'undefined'}
			],
			".prop": [
				{title: '.prop(property,[value])', content: 'Gets or sets a property on an element<br/>If used as a getter, we return the first elements value.  If nothing is in the collection, we return undefined'},
				{title: '举例', content: '$().prop("foo"); //Gets the first elements "foo" property<br/>$().prop("foo","bar");//Sets the elements "foo" property to "bar"<br/>$().prop("foo",{bar:"bar"}) //Adds the object to an internal cache'},
				{title: '参数', content: 'property                      String|Object<br/>[value]                       String|Array|Object|function'},
				{title: 'Returns', content: 'String,Object,Array,Function  If used as a getter, return the property value. If a setter, return an cQuery  object'}
			],
			".ready": [
				{title: '.ready(function)', content: 'This is executed when DOMContentLoaded happens, or after if you"ve registered for it.'},
				{title: '举例', content: '      $(document).ready(function(){console.log("I\'m ready");});'},
				{title: '参数', content: 'callback                      Function'},
				{title: 'Returns', content: 'Object                        an cQuery  object'}
			],
			".remove": [
				{title: '.remove(selector)', content: 'Removes elements based off a selector'},
				{title: '举例', content: '$().remove();  //Remove all<br/>$().remove(".foo");//Remove off a string selector<br/>var element=$("#foo").get(0);<br/>$().remove(element); //Remove by an element<br/>$().remove($(".foo"));  //Remove by a collection'},
				{title: '参数', content: 'selector                      String|Object|Array'},
				{title: 'Returns', content: 'Object                        cQuery  object'}
			],
			".removeAttr": [
				{title: '.removeAttr(attribute)', content: 'Removes an attribute on the elements'},
				{title: '举例', content: '      $().removeAttr("foo");'},
				{title: '参数', content: 'attributes                    String'},
				{title: 'Returns', content: 'Object                        cQuery  object'}
			],
			".removeClass": [
				{title: '.removeClass(name)', content: 'Removes a css class from elements.'},
				{title: '举例', content: '$().removeClass("foo"); //single class<br/>$().removeClass("foo selected");//remove multiple classess'},
				{title: '参数', content: 'classes                       String'},
				{title: 'Returns', content: 'Object                        cQuery  object'}
			],
			".removeProp": [
				{title: '.removeProp(attribute)', content: 'Removes a property on the elements'},
				{title: '举例', content: '      $().removeProp("foo");'},
				{title: '参数', content: 'properties                    String'},
				{title: 'Returns', content: 'Object                        cQuery  object'}
			],
			".replaceClass": [
				{title: '.replaceClass(old, new)', content: 'Replaces a css class on elements.'},
				{title: '举例', content: '      $().replaceClass("on", "off");'},
				{title: '参数', content: 'classes                       String'},
				{title: 'Returns', content: 'Object                        cQuery  object'}
			],
			".serialize": [
				{title: '.serialize()', content: 'Serailizes a form into a query string'},
				{title: '举例', content: '   $().serialize();'},
				{title: '参数', content: '<br/>'},
				{title: 'Returns', content: 'String'}
			],
			".show": [
				{title: '.show()', content: 'Shows all the elements by setting the css display property<br/>We look to see if we were retaining an old style (like table-cell) and restore that, otherwise we set it <br/>to block'},
				{title: '举例', content: ' $().show();'},
				{title: '参数', content: '<br/>'},
				{title: 'Returns', content: 'Object                        an cQuery  object'}
			],
			".siblings": [
				{title: '.siblings(selector)', content: 'Returns the siblings of the element based off the selector'},
				{title: '举例', content: '$("#foo").siblings(".bar"); //Selector<br/>$("#foo").siblings($(".bar")); //Objects<br/>$("#foo").siblings($(".bar").get(0)); //Single element'},
				{title: '参数', content: '[selector]                    String|Array|Object'},
				{title: 'Returns', content: 'Object                        cQuery  object with unique siblings'}
			],
			".size": [
				{title: '.size();', content: 'Returns the number of elements in the collection'},
				{title: '举例', content: '    $().size();'},
				{title: '参数', content: '<br/>'},
				{title: 'Returns', content: 'Int'}
			],
			".text": [
				{title: '.text([text])', content: 'Gets or sets the innerText for the collection.<br/>If used as a get, the first elements innerText is returned'},
				{title: '举例', content: '  $("#foo").text(); //gets the first elements text;<br/>$("#foo").text("new text"); //sets the text'},
				{title: '参数', content: 'text                          String'},
				{title: 'Returns', content: 'Object                        an cQuery  object'}
			],
			".toggle": [
				{title: '.toggle([show])', content: 'Toggle the visibility of a div'},
				{title: '举例', content: '$().toggle();<br/>$().toggle(true); //force showing'},
				{title: '参数', content: '[show]                        Boolean'},
				{title: 'Returns', content: 'Object                        an cQuery  object'}
			],
			".toggleClass": [
				{title: '.toggleClass(name)', content: 'Adds or removes a css class to elements.'},
				{title: '举例', content: '      $().toggleClass("selected");'},
				{title: '参数', content: 'classes                       String<br/>[state]                       Boolean'},
				{title: 'Returns', content: 'Object                        cQuery  object'}
			],
			".trigger": [
				{title: '.trigger(event,data);', content: 'This triggers an event to be dispatched.  Usefull for emulating events, etc.'},
				{title: '举例', content: '        $().trigger("click",{foo:"bar"});//Trigger the click event and pass in data'},
				{title: '参数', content: 'event                         String|Object<br/>[data]                        Object'},
				{title: 'Returns', content: 'Object                        cQuery  object'}
			],
			".unbind": [
				{title: '.unbind(event,[callback]);', content: 'Unbinds an event to each element in the collection.  If a callback is passed in, we remove just that one, otherwise<br/> we remove all callbacks for those events'},
				{title: '举例', content: '      $("#foo").contents(".bar"); //Selector<br/>$("#foo").contents($(".bar")); //Objects<br/>$("#foo").contents($(".bar").get(0));<br/>//Single element'},
				{title: '参数', content: 'event                         String|Object<br/>[callback]                    Function'},
				{title: 'Returns', content: 'Object                        cQuery  object'}
			],
			".undelegate": [
				{title: '.undelegate(selector,event,[callback]);', content: 'Unbinds events that were registered through<br/> delegate.  It acts upon the selector and event.  If a callback is specified, <br/>it will remove that one, otherwise it removes all of them.'},
				{title: '举例', content: '$("#div").undelegate("p","click",callback);//Undelegates callback for the click event<br/>$("#div").undelegate("p","click");//Undelegates all click events'},
				{title: '参数', content: 'selector                      String|Array|Object<br/>event                         String|Object<br/>callback                      Function'}, 
				{title: 'Returns', content: 'Object                        cQuery  object'}
			],
			".val": [
				{title: '.val([value])', content: 'Gets or sets an elements value<br/>If used as a getter, we return the first elements value.  <br/>If nothing is in the collection, we return undefined'},
				{title: '举例', content: '$().val(); //Gets the first elements value;<br/>$().val("bar"); //Sets all elements value to bar'},
				{title: '参数', content: '[value]                       String'},
				{title: 'Returns', content: 'String,Object                 A string as a getter, cQuery  object as a setter'}
			],
			".width": [
				{title: '.width()', content: 'returns the width of the element, including padding on IE'},
				{title: '举例', content: '    $().width();'},
				{title: '参数', content: '<br/>'},
				{title: 'Returns', content: '<br/>'}
			]
		
		}
	};
	TestCTP.coreData = data;
})();
 
  