'use strict';
if (typeof TestCTP === 'undefined') {
	var TestCTP = {};
}
(function () {
	var data = {
		linkTxt: [
			{'name': 'goPhoto'},
			{'name': 'goVideo'},
			{'name': 'goRecord'},
			{'name': 'scan'},
			{'name': 'getLoginInfo'},
			{'name': 'openPhoto'},
			{'name': 'openVideo'},
			{'name': 'openRecord'},
			{'name': 'openUserDetail'},
			{'name': 'openDocument'},
			{'name': 'upLoad'},
			{'name': 'downLoad'},
			{'name': 'back'},
			{'name': 'goTo'},
			{'name': 'setVisible'}
		],
		FnData: {
			"goPhoto": [ 
				{title: 'goPhoto', content: "调用原生拍照功能"}, 
				{title: '举例', content: '<code>CTP.NativeAPI.goPhoto(<br/>{<br/>&nbsp;&nbsp;&nbsp;&nbsp;success: function (imageURI) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(imageURI);<br/>&nbsp;&nbsp;&nbsp;&nbsp;},<br/>&nbsp;&nbsp;&nbsp;&nbsp;fail: function (message) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(message)<br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>});</code>'}, 
				{title: '参数', content: 'options Object'},  
				{title: '说明', content: '<button class="button button-stable interfaces-button" data-role="goPhoto">点击调用</button>'} 
			],
			"goVideo": [
				{title: 'goVideo', content: "调用原生录制视频功能"},
				{title: '举例', content: '<code>CTP.NativeAPI.goVideo(<br/>{<br/>&nbsp;&nbsp;&nbsp;&nbsp;success: function (mediaFiles) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(mediaFiles);<br/>&nbsp;&nbsp;&nbsp;&nbsp;},<br/>&nbsp;&nbsp;&nbsp;&nbsp;fail: function (error) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;if (error.code != 3) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(\'Returncode:\' + JSON.stringify(error.code));<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>});</code>'}, 
				{title: '参数', content: 'options Object'},  
				{title: '说明', content: '<button class="button button-stable interfaces-button" data-role="goVideo">点击调用</button>'} 
			],
			"goRecord": [
				{title: 'goRecord', content: "调用原生录制音频功能"},
				{title: '举例', content: '<code>CTP.NativeAPI.goRecord(<br/>{<br/>&nbsp;&nbsp;&nbsp;&nbsp;success: function (mediaFiles) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(mediaFiles);<br/>&nbsp;&nbsp;&nbsp;&nbsp;},<br/>&nbsp;&nbsp;&nbsp;&nbsp;fail: function (error) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;if (error.code != 3) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(\'Returncode:\' + JSON.stringify(error.code));<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;}<br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>});</code>'}, 
				{title: '参数', content: 'options Object'},  
				{title: '说明', content: '<button class="button button-stable interfaces-button" data-role="goRecord">点击调用</button>'} 
			],
			"scan": [
				{title: 'scan', content: "调用原生扫描功能"},
				{title: '举例', content: '<code>CTP.NativeAPI.scan(<br/>{<br/>&nbsp;&nbsp;&nbsp;&nbsp;success: function (imageURI) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(\'扫描成功，扫描结果为：\' + str);<br/>&nbsp;&nbsp;&nbsp;&nbsp;},<br/>&nbsp;&nbsp;&nbsp;&nbsp;fail: function (message) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(\'扫描失败！\' + message)<br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>});</code>'}, 
				{title: '参数', content: 'options Object'},  
				{title: '说明', content: '<button class="button button-stable interfaces-button" data-role="scan">点击调用</button>'} 
			],
			"getLoginInfo": [
				{title: 'getLoginInfo', content: "function"},
				{title: '举例', content: '<code>CTP.NativeAPI.getLoginInfo(<br/>{<br/>&nbsp;&nbsp;&nbsp;&nbsp;success: function (imageURI) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(imageURI);<br/>&nbsp;&nbsp;&nbsp;&nbsp;},<br/>&nbsp;&nbsp;&nbsp;&nbsp;fail: function (message) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(message)<br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>});</code>'}, 
				{title: '参数', content: 'options Object'},  
				{title: '说明', content: '<button class="button button-stable interfaces-button" data-role="getLoginInfo">点击调用</button>'} 
			],
			"openPhoto": [
				{title: 'openPhoto', content: "调用原生选择本地图片功能"},
				{title: '举例', content: '<code>CTP.NativeAPI.openPhoto(<br/>{<br/>&nbsp;&nbsp;&nbsp;&nbsp;success: function (imageURI) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(imageURI);<br/>&nbsp;&nbsp;&nbsp;&nbsp;},<br/>&nbsp;&nbsp;&nbsp;&nbsp;fail: function (message) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(message)<br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>});</code>'}, 
				{title: '参数', content: 'options Object'},  
				{title: '说明', content: '<button class="button button-stable interfaces-button" data-role="openPhoto">点击调用</button>'} 
			],
			"openVideo": [
				{title: 'openVideo', content: "调用原生选择本地视频功能"},
				{title: '举例', content: '<code>CTP.NativeAPI.openVideo(<br/>{<br/>&nbsp;&nbsp;&nbsp;&nbsp;success: function (videoURI) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(videoURI);<br/>&nbsp;&nbsp;&nbsp;&nbsp;},<br/>&nbsp;&nbsp;&nbsp;&nbsp;fail: function (message) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(message)<br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>});</code>'}, 
				{title: '参数', content: 'options Object'},  
				{title: '说明', content: '<button class="button button-stable interfaces-button" data-role="openVideo">点击调用</button>'} 
			],
			"openRecord": [
				{title: 'openRecord', content: "调用原生选择本地音频功能"},
				{title: '举例', content: '<code>CTP.NativeAPI.openRecord(<br/>{<br/>&nbsp;&nbsp;&nbsp;&nbsp;success: function (imageURI) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(imageURI);<br/>&nbsp;&nbsp;&nbsp;&nbsp;},<br/>&nbsp;&nbsp;&nbsp;&nbsp;fail: function (message) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(message)<br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>});</code>'}, 
				{title: '参数', content: 'options Object'},  
				{title: '说明', content: '<button class="button button-stable interfaces-button" data-role="openRecord">点击调用</button>'} 
			],
			"openUserDetail": [
				{title: 'openUserDetail', content: "function"},
				{title: '举例', content: '<code>CTP.NativeAPI.openUserDetail(<br/>{<br/>&nbsp;&nbsp;&nbsp;&nbsp;success: function (imageURI) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(imageURI);<br/>&nbsp;&nbsp;&nbsp;&nbsp;},<br/>&nbsp;&nbsp;&nbsp;&nbsp;fail: function (message) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(message)<br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>});</code>'}, 
				{title: '参数', content: 'options Object'},  
				{title: '说明', content: '<button class="button button-stable interfaces-button" data-role="openUserDetail">点击调用</button>'} 
			],
			"openDocument": [
				{title: 'openDocument', content: "调用原生选择本地文档功能"},
				{title: '举例', content: '<code>CTP.NativeAPI.openDocument(<br/>{<br/>&nbsp;&nbsp;&nbsp;&nbsp;success: function (imageURI) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(imageURI);<br/>&nbsp;&nbsp;&nbsp;&nbsp;},<br/>&nbsp;&nbsp;&nbsp;&nbsp;fail: function (message) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(message)<br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>});</code>'}, 
				{title: '参数', content: 'options Object'},  
				{title: '说明', content: '<button class="button button-stable interfaces-button" data-role="openDocument">点击调用</button>'} 
			],
			"upLoad": [
				{title: 'upLoad', content: "调用原生上传功能"},
				{title: '举例', content: '<code>CTP.NativeAPI.upLoad(<br/>{<br/>&nbsp;&nbsp;&nbsp;&nbsp;success: function (imageURI) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(imageURI);<br/>&nbsp;&nbsp;&nbsp;&nbsp;},<br/>&nbsp;&nbsp;&nbsp;&nbsp;fail: function (message) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(message)<br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>});</code>'}, 
				{title: '参数', content: 'options Object'},  
				{title: '说明', content: '<button class="button button-stable interfaces-button" data-role="upLoad">点击调用</button>'} 
			],
			"downLoad": [
				{title: 'downLoad', content: "调用原生选择下载功能"},
				{title: '举例', content: '<code>CTP.NativeAPI.downLoad(<br/>{<br/>&nbsp;&nbsp;&nbsp;&nbsp;success: function (imageURI) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(imageURI);<br/>&nbsp;&nbsp;&nbsp;&nbsp;},<br/>&nbsp;&nbsp;&nbsp;&nbsp;fail: function (message) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(message)<br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>});</code>'}, 
				{title: '参数', content: 'options Object'},  
				{title: '说明', content: '<button class="button button-stable interfaces-button" data-role="downLoad">点击调用</button>'} 
			],
			"back": [
				{title: 'back', content: "调用原生返回功能"},
				{title: '举例', content: '<code>CTP.NativeAPI.back(<br/>{<br/>&nbsp;&nbsp;&nbsp;&nbsp;success: function (imageURI) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(imageURI);<br/>&nbsp;&nbsp;&nbsp;&nbsp;},<br/>&nbsp;&nbsp;&nbsp;&nbsp;fail: function (message) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(message)<br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>});</code>'}, 
				{title: '参数', content: 'options Object'},  
				{title: '说明', content: '<button class="button button-stable interfaces-button" data-role="back">点击调用</button>'} 
			],
			"goTo": [
				{title: 'goTo', content: "调用原生跳转页面功能"},
				{title: '举例', content: '<code>CTP.NativeAPI.goTo(<br/>{<br/>&nbsp;&nbsp;&nbsp;&nbsp;success: function (imageURI) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(imageURI);<br/>&nbsp;&nbsp;&nbsp;&nbsp;},<br/>&nbsp;&nbsp;&nbsp;&nbsp;fail: function (message) {<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;alert(message)<br/>&nbsp;&nbsp;&nbsp;&nbsp;}<br/>});</code>'}, 
				{title: '参数', content: 'options Object'},  
				{title: '说明', content: '<button class="button button-stable interfaces-button" data-role="goTo">点击调用</button>'} 
			],
			"setVisible": [
				{title: "setVisible", content: "隐藏导航栏"},
				{title: '参数', content: 'str String'}, 
				{title: '说明', content: '<button class="button button-stable interfaces-button" data-role="setVisible" data-str="visible">点击显示</button>&nbsp;&nbsp;&nbsp;&nbsp;<button class="button button-stable interfaces-button" data-role="setVisible" data-str="gone">点击隐藏</button>'} 
			]
		}
	};
	TestCTP.interfacesData = data;
})();
 