(function($){
    function ProgressBar(opt){
         this.options={
            container:null,
                min:0,
                max:100,
                value:50,
                secondValue:0
        };
        $.extend(this.options,opt);

        this._init();
    };
    ProgressBar.prototype={

        _init:function(){
            this._container =this.options.container;
            this._primaryContainer =this._container.find(".cui-progressbar-primary");
            this._secondaryContainer =this._container.find(".cui-progressbar-secondary");
            var opt =this.options;
            this.options.value =parseFloat(this._container.attr("data-value")||opt.value);
            this.options.min =parseFloat(this._container.attr("data-min")||opt.min);
            this.options.max =parseFloat(this._container.attr("data-max")||opt.max);
            this.options.secondValue =parseFloat(this._container.attr("data-secondValue")||opt.secondValue);
            this.setValue(this.options.value);
            this.setSecondValue(this.options.secondValue);
        },
        setValue:function(value){
            if(typeof value==="number"){
                var opt =this.options;
                if(value>opt.max){
                    value= opt.max;
                }
                if(value<opt.min){
                    value= opt.min;
                }
                opt.value =value;
                this._percent = (value-opt.min)/(opt.max-opt.min) *100;
                this._primaryContainer.width(this._percent+"%");
            }
        },
        getValue:function(){
            return this.options.value;
        },
        getPercent:function(){
            return this._percent;
        },
        setSecondValue:function(value){
            if(typeof value==="number"){
                var opt =this.options;
                if(value>opt.max){
                    value= opt.max;
                }
                if(value<opt.min){
                    value= opt.min;
                }
                opt.secondValue =value;
                this._secondPercent = (value-opt.min)/(opt.max-opt.min) *100;
                if(this._secondaryContainer.size())
                    this._secondaryContainer.width(this._secondPercent+"%");
            }
        },
        getSecondValue:function(){
            return this.options.secondValue;
        },
        getSecondPercent:function(){
            return this._secondPercent;
        }

    };

    $.component.progressbar = ProgressBar;
})(window.af);


