(function($){
    var slider =function(opt){
        this._init(opt);
    };
    var obj ={
        _init:function(opt){
            this.opt = {
                el:null,
                scan:false,
                container:null,
                maxValue:100,
                minValue:0,
                value:0,
                step:1
            };
            $.extend(this.opt,opt);
            this._buildHtml();
            this._parseMember();
            var res = this._processValue();
            if(!res){ return; }
            this._setposition();
            this._bindEvent();
        },
        _buildHtml:function(){
            var opt =this.opt;
            if(!opt.scan&&!opt.container&&typeof opt.el==="object") {
                var html ='<div class="cui-slider-container" data-value="'+opt.value+'" ' +
                    'data-max="'+opt.maxValue+'" data-min="'+opt.minValue+'" data-step="'+opt.step+'">'+
                    '<div class="cui-slider-bg" style="width: 0%;"></div>'+
                    '<a href="#" class="cui-slider-handler" style="left:0%;"></a></div>';
                opt.el.html(html);
            }
        },
        _parseMember:function(){
            var opt =this.opt;
            this._container =opt.scan&&opt.container?$(opt.container):opt.el.find(".cui-slider-container");
            this._left =this._container.find(".cui-slider-bg");
            this._handler = this._container.find(".cui-slider-handler");
            this.value   =  parseFloat(this._container.attr("data-value")||opt.value);
            this.maxValue = parseFloat(this._container.attr("data-max")||opt.maxValue);
            this.minValue = parseFloat(this._container.attr("data-min")||opt.minValue);
            this.step = parseFloat(this._container.attr("data-step")||opt.step);
            this.orignalOpt ={
                maxValue:this.maxValue,
                minValue:this.minValue,
                step:this.step,
                value:this.value
            };
        },
        _processValue:function(){
            var ori=this.orignalOpt,
                max =ori.maxValue,
                min =ori.minValue,
                step = ori.step,
                v =ori.value;

            if(max<min){
                return false;
            }
            var point0 = max.toString(),
                point1 = min.toString(),
                point2 = step.toString();
            if(point0.indexOf(".")!==-1){
                point0 = point0.split(".")[1].length;
            }else{
                point0 =0;
            }
            if(point1.indexOf(".")!==-1){
                point1 = point1.split(".")[1].length;
            }else{
                point1=0;
            }
            if(point2.indexOf(".")!==-1){
                point2 = point2.split(".")[1].length;
            }else{
                point2=0;
            }

            var point =Math.max(point0,point1,point2);

            this._multiple =Math.pow(10,point);

            this.value= v*this._multiple;

            this.maxValue= max*this._multiple;

            this.minValue= min*this._multiple;

            this.step = step*this._multiple;


            if(this.value>this.maxValue){
                this.value =this.maxValue;
            }
            if(this.value<this.minValue){
                this.value =this.minValue;
            }
            this._detal = this.maxValue -this.minValue;
            if(this._detal===0){return false;}
            if(this.step>this.maxValue||this.step<this.minValue){return false;}
            return true;

        },
        _halfAdjust:function(){
            this.value -= this.value%this.step;
        },
        _setposition:function(isSlide){
            var p =((this.value-this.minValue)/this._detal)*100+"%";
            this._handler.css("left",p);
            this._left.width(p);
            this._halfAdjust();
            this.orignalOpt.value = this.value/this._multiple;
            if(isSlide){
                if(this._slideCallBack){
                    this._slideCallBack.call(this,this.orignalOpt.value);
                }
            }else{
                if(this._changeCallBack) {
                    this._changeCallBack.call(this,this.orignalOpt.value);
                }
            }
        },
        _calValue:function(pos){
            var width =pos.rect.right-pos.rect.left,
                percent = 1/(width)*(pos.left+15);
            this.value = this._detal*percent +this.minValue;
        },
        _bindEvent:function(){
            var isTouch = window.ontouchstart === undefined?false:true;

            var startEvent ="mousedown",moveEvent="mousemove",endEvent="mouseup",cancelEvent="mouseout";
            if(isTouch){
                startEvent="touchstart";
                moveEvent ="touchmove";
                endEvent ="touchend";
                cancelEvent ="touchcancel";
            }
            var self =this,layer = this._getLayer(isTouch);
            var detal = 0,
                margin=-15,
                down =false,
                rect =null,
                checkborder =function(pos){
                    var re = pos.rect,width=re.right-re.left;
                    if(pos.left>width+margin){
                        pos.left = width+margin;
                    }
                    if(pos.left<margin){
                        pos.left = margin;
                    }
                },
                selfMove=function(e){    e.preventDefault();
                    if(down&&rect){
                        if(isTouch){
                            if(e.touches.length>1){return;}
                        }
                        var clientX = isTouch?e.touches[0].pageX:e.clientX;
                        var pos = {left:clientX-detal-rect.left,rect:rect};
                        checkborder(pos);
                        self._calValue(pos);
                        self._setposition(true);
                    }
                },
                selfUp=function(e){    e.preventDefault();
                    down=false;
                    layer.off(moveEvent,selfMove).off(endEvent,selfUp).off(cancelEvent,selfUp);
                    if(!isTouch){
                        layer.hide();
                    }
                    if(self._changeCallBack) {
                        self._changeCallBack.call(self,self.value/self._multiple);
                    }
                };
            this._handler.on(startEvent,function(e){ e.preventDefault();
                var startX;
                if(isTouch){
                    if(e.touches.length>1) return;
                    startX = e.touches[0].pageX;
                }else{
                    startX = e.clientX;
                }
                down=true;
                detal= startX - this.getBoundingClientRect().left;
                rect = self._container.get(0).getBoundingClientRect();
                if(!isTouch){ layer.show();}
                layer.on(moveEvent,selfMove).on(endEvent,selfUp).on(cancelEvent,selfUp);
            });

            this._container.on(startEvent,function(e){
                e.preventDefault();
                if(down){return;}
                if(isTouch){
                    if(e.touches.length>1){return;}
                }
                var re =this.getBoundingClientRect(),
                    clientX = isTouch?e.touches[0].pageX:e.clientX,
                    left =clientX-re.left;
                left= left<margin?margin:left;
                left= left>re.right+margin?re.right+margin:left;
                var pos = {left:left,rect:re};

                self._calValue(pos);
                self._setposition();



            });

        },
        _getLayer:function(isTouch){
            if(isTouch){
                return $(document.body);
            }
            var  layer =$("#slider-pop-layer");
            if(!layer.size()){
                layer = $(document.createElement("div")).attr("id","slider-pop-layer").appendTo(document.body);
            }
            return layer;
        },
        onChange:function(callBack){
            if(typeof callBack ==="function")
                this._changeCallBack =callBack;
        },
        onSlide:function(callBack){
            if(typeof callBack ==="function")
                this._slideCallBack =callBack;
        },
        getValue:function(){
            return this.orignalOpt.value;
        },
        setValue:function(value){
            var a =this.value;
            this.orignalOpt.value =value;
            var res = this._processValue();
            if(!res){
                this.orignalOpt.value =a;
                return;
            }
            this._setposition();
        },
        setOptions:function(opt){
           if(opt&&typeof opt==="object"){
               var ori =this.orignalOpt;
               if(typeof opt.value==="number"){
                   ori.value = opt.value;
               }
               if(typeof opt.maxValue==="number"){
                   ori.maxValue = opt.maxValue;
               }
               if(typeof opt.minValue==="number"){
                   ori.minValue = opt.minValue;
               }
               if(typeof opt.step==="number"){
                   ori.step = opt.step;
               }
               this._processValue();
               this._setposition();
           }

        }

    };
    slider.prototype = obj;
    slider.prototype.constractor = slider;

    $.slider = function(opt){
        return new slider(opt);
    };

    $.slider.scan=function(el){
        if(!el){el =document.body;}
        $.query(".cui-slider-container",el).each(function(){
            if(!$(this).data("cui-slider")){
                var slider = $.slider({container:this,scan:true});
                $(this).data("cui-slider",slider);
            }
        });

    };

    $.slider.getObject =function(id){
        id =id.replace("#","");
        id ="#"+id;
        return  $.query(id).data("cui-slider");
    };

    $.component.slider = slider;

})(window.af);