'use strict';
(function ($, window, undefined) {
	var startTime = 0;
	var winW =  document.documentElement.clientWidth || document.body.clientWidth
	
	function transformBox ( obj, time ) {
			var time=time?time:0;
			obj.css({'-webkit-transform':"scale(1,1)",'-webkit-transition':time+'ms ease-in-out'});
	}
	
	function removeHTMLTag(str) { //去除HTML
            str = str.replace(/<\/?[^>]*>/g,''); //去除HTML tag
            str = str.replace(/[ | ]*\n/g,'\n'); //去除行尾空白
            //str = str.replace(/\n[\s| | ]*\r/g,'\n'); //去除多余空行
            str=str.replace(/&nbsp;/ig,'');//去掉&nbsp;
            return str;
    }
    function stripscript(s) {  //去除script
	    return s.replace(/<script.*?>.*?<\/script>/ig, '');  
	}  
	//Html结构转字符串形式显示 支持<br>换行
function ToHtmlString(htmlStr) {
    return toTXT(htmlStr).replace(/\&lt\;br[\&ensp\;|\&emsp\;]*[\/]?\&gt\;|\r\n|\n/g, "<br/>");
}
//Html结构转字符串形式显示
function toTXT(str) {
    var RexStr = /\<|\>|\"|\'|\&|　| /g
    str = str.replace(RexStr,
    function (MatchStr) {
        switch (MatchStr) {
            case "<":
                return "&lt;";
                break;
            case ">":
                return "&gt;";
                break;
            case "\"":
                return "&quot;";
                break;
            case "'":
                return "&#39;";
                break;
            case "&":
                return "&amp;";
                break;
            case " ":
                return "&ensp;";
                break;
            case "　":
                return "&emsp;";
                break;
            default:
                break;
        }
    }
    )
    return str;
}
	var createHtml = function (d, op) {
		var id = op.id,
			data = d.list,
			hasNext = d.next,
			nextHtml,
			html = '<div class="innerContainer" id="' + id +'"><div class="cui-chatRoom"><ul class="cui-chatList">',

			//html = '<div class="innerContainer" id="' + id +'"><div class="total-comments">总计' + data.length+ '条评论</div><div class="cui-chatRoom"><ul class="cui-chatList">',
			width = $(window).width() - 60,
			boolenHtmlType = op.htmlType || false,
			lidom = addLi(data, boolenHtmlType);
		if (!hasNext) {
			nextHtml = '<div class="cui-chatRoom-nextContainer">没有更多了！</div>';
		} else {
			nextHtml = '<div class="cui-chatRoom-nextContainer "><a href="javascript:void(0);" class="loadMoreItemToolbar">加载更多' + data.length +'项</a></div>';
		}
		html += lidom; 
		html += '</ul>' + nextHtml +'</div></div>'	
		return html;
	};
	var addHtml = function (d) {
			var id = op.id,
				data = d.list,
				hasNext = d.next,
				nextHtml = '',
				html = '',
				lidom = addLi(data);
			if (!hasNext) {
				//nextHtml = '<div class="cui-chatroom-tipDiv">没有更多了！</div>';
			} else {
				//nextHtml = '<div class="cui-chatroom-loadMore">...</div>';
			}
			html = lidom + nextHtml;
			return html;

	};
	var addLi = function (data, htmlType) {
		var html = '';
		var liTrue = htmlType;
		var content;
		if (liTrue) {
			$.each(data, function (k, v) {
				content = ToHtmlString(v.content); 
				var item = '<li attr_id="' + v.id +'"><div class="li-line"></div><div class="cui-chatList-item-icon"></div>' +						'<div class="cui-chatList-item-r">' +
									'<h3><span>&nbsp;</span>' + v.createDate.split(' ')[1] +'</h3>' +
									'<h2 class="cui-chatList-item-r-title">来自' + v.creatorNick +'</h2>' +
									'<div class="cui-chatList-item-r-content">' +
										// '<div class="cui-chatList-item-r-content-img">' +
										// 	'<img src="' + v.icon +'" style="width: 120px;height: 80px;"/>' +
										// '</div>' +
										content +'</div>' +
								'</div>' +
							'</li>';
				html += item;
			});
		} else {
			$.each(data, function (k, v) {
				content = v.content 
				var item = '<li attr_id="' + v.id +'"><div class="li-line"></div><div class="cui-chatList-item-icon"></div>' +						'<div class="cui-chatList-item-r">' +
									'<h3><span>&nbsp;</span>' + v.createDate.split(' ')[1] +'</h3>' +
									'<h2 class="cui-chatList-item-r-title">来自' + v.creatorNick +'</h2>' +
									'<div class="cui-chatList-item-r-content">' +
										// '<div class="cui-chatList-item-r-content-img">' +
										// 	'<img src="' + v.icon +'" style="width: 120px;height: 80px;"/>' +
										// '</div>' +
										content +'</div>' +
								'</div>' +
							'</li>';
				html += item;
			});
		}
		
		return html;
	};
	var setLiWidth = function () {
		$.each($('.cui-chatList-item-r'), function (v, k) {
			$(k)[0].style.width = winW - 29 + 'px';  
		});
	};
	var Chatroom = function () {
		this.init.apply(this, arguments);
	};
	Chatroom.prototype = {
		constructor: Chatroom,
		init: function () {
			var args = Array.prototype.slice.apply(arguments)[0];
			var op = args[0],
				cb = args[1];
			this.options = op;
			this.cb = cb;
			this.setData(op);
			
		},
		render: function (data, op) {
			var self = this;
			var renderTarget = op.render;
			var html = createHtml(self.data, op); 
			$('#' + renderTarget).html(html);
			this.setLiWidth();
			self.loadScroll(op);
			$('#' + op.id).delegate('.loadMoreItemToolbar', 'click', function () {
				self.loadHistory(op);
			});

			//self.cb(self.data);
		},
		addItem: function (data, cb) { 
			var id = this.options.id,
				newHtml = addHtml(data),
				oldHtml = $('#' + id).find('.cui-chatList').html(),
				totalHtml = '';
				
			totalHtml = newHtml + oldHtml;
			$('#' + id).find('.cui-chatList').html(totalHtml);
			this.setLiWidth();
			var tempStr = '总计' + $('#' + id).find('.cui-chatList').children('li').length + '条评论';
			$('#' + id).find('.total-comments').html(tempStr);
			if (typeof cb === 'function') {
				cb();
			}
			
		},
		setLiWidth: function () {
			setLiWidth();
		},
		addHistory: function (data, cb) {
			var id = this.options.id,
				newHtml = addHtml(data),
				oldHtml = $('#' + id).find('.cui-chatList').html(),
				totalHtml = '';
			totalHtml =  oldHtml + newHtml;
			$('#' + id).find('.cui-chatList').html(totalHtml);
			this.setLiWidth();
			var tempStr = '总计' + $('#' + id).find('.cui-chatList').children('li').length + '条评论';
			$('#' + id).find('.total-comments').html(tempStr);
			if (typeof cb === 'function') {
				cb();
			}
		},
		setData: function (op) {
			var self = this;
			if (typeof op.adapter !== 'undefined') {
				op.adapter(function (d) {
					self.data = d;
					self.render(self.data, op);

				});
			} else {
				self.data = op.data; 
				self.render(self.data, op);
			}

		},
		refresh: function (op) {
			var self = this;
			if(typeof op.refresh === 'function') {
				op.refresh(function (d, cb) {
					if (d.list.length > 0) {
						self.addItem(d, cb); 
					} else {
						cb(d);
					}
				});
			}
		},
		getPhoto: function () {
		},
		loadHistory: function (op) {
			var self = this;
			if(typeof op.history === 'function') {
				op.history(function (d) {
					var html;
					if (d.list.length > 0) {
						if (d.next) {
							html = '<a href="javascript:void(0);" class="loadMoreItemToolbar">加载更多' + d.list.length + '项</a>';
							self.addHistory(d, cb);
						} else { //没有历史数据
						    html = '<div class="cui-chatRoom-noMore">没有更多数据了</div>';
						}
						$('#' + op.id).find('.cui-chatRoom-nextContainer').html(html);
					}
				});
			}
		},
		loadScroll: function (op) {
			var self = this;
			var renderTarget = op.render;
			var pX, startY;
			var addY;
	        $.iScroll(renderTarget,
				{
					hscroll: false,
					vscroll: true,
					hScrollbar:false, 
					vScrollbar:true,
					checkDOMChanges: true,  
					onScrollStart: function () {
						startY = this.pointY;
						addY = 1;
						startTime ++;

					},
					onScrollMove: function () {
						pX = this.y;
						if (this.y > 0) {
							addY = addY + 0.03;
							if (addY < 1.25) {
								$('#title-container img').css({
									"-webkit-transform": "scale(" + addY+", " +addY+")",
									"-webkit-transition":"200ms linear"});
							} 

						} 

					},
					onBeforeScrollEnd: function () {
						transformBox($('#title-container img'), 500);	
						addY = 1;				
					}, 
					onScrollEnd: function () {
						addY = 1;	
						if (startY > (this.wrapperHeight -100) && pX < 0) {
							self.loadHistory(op);
						}
						if (startY < 300 && pX > 0) {
							self.refresh(op);
						}

					}
				}
			);
		}
	};


	var chatroom = function () {
		return new Chatroom(arguments);
	}; 
	$.chatroom = chatroom;
})(af, window);