/**
 * cuiProcess 流程列表
 * @author suchiva@126.com
 * @version 2015-05-19
 * @requires jquery, af
 */
'use strict';
(function ($, jq, window, undefined) {
	var startTime = 0, winW =  document.documentElement.clientWidth || document.body.clientWidth, DATACOUNTER = [];
	
	var createHtml = function (d, op, type, additions) {
		var id = op.id,
			data = d.content,
			dataFields = op.dataFields,
			liType = type || 'default',
			hasNext = d.next || false, 
			len = d.size || 20,
			nextHtml,
			html = '<div class="innerContainer" id="' + id +'"><div class="cui-suchivaProcess"><ul class="cui-suchivaProcess-ul">',
			width = $(window).width() - 60,
			boolenHtmlType = op.isHtmlType || false, //是否支持HTML字符
			lidom = addLi(data, boolenHtmlType, liType, op, additions);
		if (dataFields.length > 0) {
			if (!hasNext) {
				nextHtml = '<div class="cui-suchivaProcess-nextContainer">没有更多了！</div>';
			} else {
				nextHtml = '<div class="cui-suchivaProcess-nextContainer "><a href="javascript:void(0);" class="loadMoreItemToolbar">加载更多' + len + '项</a></div>';
			}
			html += lidom;
			html += '</ul>' + nextHtml +'</div></div>';
 
		} else {
			html += '</ul><div class="cui-suchivaProcess-noData">没有数据！</div></div></div>'	
		}
		return html; 
	};

	var addHtml = function (data, boolenHtmlType, liType, op, additions) {
			var html = '',
				lidom = addLi(data, boolenHtmlType, liType, op, additions);
			html = lidom;
			return html;

	};

	var addLi = function (data, boolenHtmlType, liType, op, additions) {
		var html = '';
		var liTrue = boolenHtmlType;
		var content;
		html = 	itemFactory.init(data, boolenHtmlType, liType, op, additions);
		return html; 
	};
	var setLiWidth = function () {
		$.each($('.cui-chatProcess-item-r'), function (v, k) {
			$(k)[0].style.width = winW - 29 + 'px';  
		});
	};

	var itemFactory = {
		setData : function (data, op) {
			var self = this,
				obj = [],
				dataAry = [],
				fnMap = new Map(),
				dataFields = op.dataFields;
			$.each(dataFields, function (k, v) { 
				if (typeof v.fn === 'function') {
					fnMap.put(v.dataField, v.fn);
				} 
				obj.push(v['dataField']);
				if (typeof v.type !== 'undefined') {
					self.keyIndex = v.dataField;
				}
			});
			
			//字段
			$.each(data, function (k, v) {
				var _obj = {};
				$.each(obj, function (l,j) {
					if (typeof fnMap.get(j) !== 'undefined') {
						_obj[j] = fnMap.get(j)(v);
					} else {
						_obj[j] = v[j];  
					}
				});
				dataAry.push(_obj);
			});
			self.store = dataAry;
		},
		getData : function () {
			return this.store;
		},
		init: function (data, boolenHtmlType, litype, op, additions) {
			DATACOUNTER = DATACOUNTER.concat(data)
			this.setData(data, op);
			this.op = op;
			var html = this.types[litype](this, boolenHtmlType, additions);
			
			return html;
		}

	};
	
	itemFactory.types = {
		default : function (pointer, boolenHtmlType, additions) {
			var self = pointer, _index, html = '';
			
			if (self.store.length > 0) {
				if (additions === 'history') { 
					_index = DATACOUNTER.length - self.store.length ;
					$.each(self.store, function (k, v) {
						var item = '<li><h2 class="cui-process-li-date" style="top:' + ((_index + k)*235)+'px;">' + v['date'] +'</h2><h2 class="cui-process-li-dateBake">ssss</h2><dl class="cui-process-dl-agree-' +v['agree']+'"><h3 class="cui-process-dl-title">' + v['title'] +'</h3><div class="cui-process-process-dl-mainArea"><p><label>' + v['userName'] +'</label><span>(14:01)</span></p><p><label>耗时：</label><span>' +v['spendTime']+ '</span></p><p><label>意见：</label><span>' + v['comments'] +'</span></p></div></dl></li>';
						html += item;
					});
					return html; 
				} else {
					_index = 0;
					DATACOUNTER = self.store;
					$.each(self.store, function (k, v) {
						var item = '<li><h2 class="cui-process-li-date" style="top:' + ((k)*235)+'px;">' + v['date'] +'</h2><h2 class="cui-process-li-dateBake">ssss</h2><dl class="cui-process-dl-agree-' +v['agree']+'"><h3 class="cui-process-dl-title">' + v['title'] +'</h3><div class="cui-process-process-dl-mainArea"><p><label>' + v['userName'] +'</label><span>(14:01)</span></p><p><label>耗时：</label><span>' +v['spendTime']+ '</span></p><p><label>意见：</label><span>' + v['comments'] +'</span></p></div></dl></li>';
						html += item;
					});
					return html; 
				}
				console.log('总数目', DATACOUNTER);
				console.log('新增的数目', self.store.length);
				
			} 
		},
		edit: function (pointer, boolenHtmlType) { 
			

		}
	};


	var Process = function () {
		this.init.apply(this, arguments);
	};
	Process.prototype = {
		constructor: Process,
		init: function () {
			var args = Array.prototype.slice.apply(arguments)[0];
			var op = args[0],
				cb = args[1];
			this.options = op;
			this.cb = cb;
			this.setData(op);
			self.selectData = 0; 
			
		},
		render: function (data, op) {

			var self = this,
				renderTarget = op.render,
				type = op.type;
			var html = createHtml(data, op, type, 'new'); 
			$('#' + renderTarget).html(html);
			this.setLiWidth();
			self.loadScroll(op);
			$('#' + op.id).delegate('.loadMoreItemToolbar', 'click', function () {
				self.loadHistory(op);
			});
			if (op.type === 'singleSelect') {
				self.getSingleProcessData(op);
			}
			if (op.type === 'multipleSelect') {
				self.getMultipleProcessData(op);
			} 
			if (op.type === 'link') {
				self.goNext(op); 
			}
			self.filterTitle(op);
		    
		},
		filterTitle: function (op) {
			
		},
		addItem: function (data, cb) { 
			var self = this,
				op = this.options,
				id = op.id,
				renderTarget = op.render,
				type = op.type,
				html = createHtml(data, op, type, 'new'); 
			$('#' + renderTarget).html(html);
			this.setLiWidth();
			var tempStr = '总计' + $('#' + id).find('.cui-chatProcess').children('li').length + '条评论';
			$('#' + id).find('.total-comments').html(tempStr);
			if (typeof cb === 'function') {
				cb();
			}

		},
		setLiWidth: function () {
			setLiWidth();
		},
		addHistory: function (data, cb) {
			var op = this.options,
				id = op.id,
				boolenHtmlType = op.isHtmlType,
				liType = op.type,
				newHtml = addHtml(data, boolenHtmlType, liType, op, 'history');
				
			jq('#' + id).find('.cui-suchivaProcess-ul').slideDown('slow').append(newHtml)
			this.setLiWidth();
			var tempStr = '总计' + $('#' + id).find('.cui-suchivaProcess').children('li').length + '条评论';
			$('#' + id).find('.total-comments').html(tempStr);
			if (typeof cb === 'function') {
				cb();
			}
		},
		setData: function (op) {
			var self = this;
			if (typeof op.data !== 'undefined') {
				self.data = op.data;
				self.render(self.data, op);
			} else if (typeof op.adapter !== 'undefined') {
				self.data = {};
				op.adapter(function (d) {
					self.render(d, op);	
					self.data = d;
				});
			} else {
				console.error('没有数据渲染！');
				return;
			}
		},
		refresh: function (op) {
			var self = this;
			
			if(typeof op.refresh === 'function') {
				op.refresh(function (d, cb) {
					if (d.content.length > 0) { //有数据
						jq.each(d.content, function (k, v) {
							self.data.content.unshift(v); 
						});
						
						self.render(self.data, op);
						//self.addItem(d.content, op);
					} else { //没有数据
					}
				});
			}
		},
		loadHistory: function (op) {
			var self = this;
			if(typeof op.history === 'function') {
				op.history(function (d) {
					var html;
					if (d.content.length > 0) { //有数据
						self.addHistory(d.content, function () {
							if (d.next) {
								html = '<a href="javascript:void(0);" class="loadMoreItemToolbar">加载更多20项</a>';
							} else { //没有历史数据
							    html = '<div class="cui-suchivaProcess-noMore">没有更多数据了</div>';
							}
							$('#' + op.id).find('.cui-suchivaProcess-nextContainer').html(html);
						});
					} else { //没有数据
					
					}
				});
			}
		},
		loadScroll: function (op) {
			var self = this;
			var renderTarget = op.render;
			var pX, startY;
			var addY;
			
			var nScrollHight = 0; //滚动距离总长(注意不是滚动条的长度)
			var nScrollTop = 0;   //滚动到的当前位置
			var nDivHeight = jQuery('#' + renderTarget).height();
			
			var _render = jQuery('#' + renderTarget);
			function getSMotion() {
				nScrollHight = _render[0].scrollHeight*1;
				var webkitTransformAry = _render.find('.innerContainer')[0].style.webkitTransform.split(',')[1];
				nScrollTop = webkitTransformAry.substring(0,webkitTransformAry.length-2)*1; 
				
				//console.log('滚动区域的高度', nScrollHight); 
				//console.log('滚动的像素', nScrollTop); 
				//console.log('父元素的高度', nDivHeight);
				
				jQuery.each(_render.find('.cui-process-li-date'), function (k, v) {
					//console.log('item offsetTop', $(v)[0].offsetTop + nScrollTop); //0
					if ($(v)[0].offsetTop + nScrollTop < 3) {
						if (nScrollTop >= 0 && nScrollTop <= 35) {
							jq('.titleS').hide(); 
						} else {
							jq('.titleS').text(jq(v).text()).slideDown();
						}
					}
				});
			}
			
	        new $.iScroll(renderTarget,
				{
					hscroll: false,
					vscroll: true,
					hScrollbar:false, 
					vScrollbar:true,
					checkDOMChanges: true,
					onBefroeStart: function () {
						getSMotion();
					},  
					onScrollStart: function () {
						startY = this.pointY;
						addY = 1;
						startTime ++;
						getSMotion();
						
					},
					onBeforeScrollMove: function () {
						getSMotion();
					},
					onScrollMove: function () {
						getSMotion();
						
						pX = this.y;
						if (this.y > 0) {
							addY = addY + 0.03;
							if (addY < 1.25) {
								$('#title-container img').css({
									"-webkit-transform": "scale(" + addY+", " +addY+")",
									"-webkit-transition":"200ms linear"});
							} 

						} 
						
						
						/*
							start
						*/
						
						if (false) {
			  		      var nScrollHight = 0; //滚动距离总长(注意不是滚动条的长度)
			  		      var nScrollTop = 0;   //滚动到的当前位置
			  		      var nDivHight = $(args.target).height();

			  		      $(args.target).scroll(function () {
			  		        nScrollHight = $(this)[0].scrollHeight;
			  		        nScrollTop = $(this)[0].scrollTop;
			  		        var arr = args.ele, offsetTop;
			  		        for (var i = 0, len = arr.length; i < len; i++) {
			  		          for (var key in arr[i]) {
			  		            offsetTop = $(key)[0].offsetTop;
			  		            if (nScrollTop + nDivHight >= nScrollHight) {
			  		                  console.log("滚动条到底部了");
			  		            };
			  		            if (nScrollTop >= offsetTop) {
			  		              $(arr[i][key]).show();
			  		            } else {
			  		              $(arr[i][key]).hide();
			  		            }
			  		          }
			  		        }
			  		      });
				
						}
						
						/*
							end
						*/

					},
					onBeforeScrollEnd: function () {
						CTP.Util.transformBox($('#title-container img'), 500);	
						addY = 1;				
						getSMotion();
					}, 
					onScrollEnd: function () {
						addY = 1;	
						if (startY > (this.wrapperHeight -100) && pX < 0) {
							self.loadHistory(op);
						}
						if (startY < 300 && pX > 0) {
							self.refresh(op);
						}
						getSMotion();
						
					}
				}
			);
		}
	};


	var process = function () {
		return new Process(arguments);
	}; 
	$.cuiProcess = process;
})(af, jQuery, window);