/**
	Tab
 */
(function ($, window, undefined) {
	
	var winW =  document.documentElement.clientWidth || document.body.clientWidth
	
	function transformBox ( obj, value, time ) {
			var time=time?time:0;
			obj.css({'-webkit-transform':"translate("+value+"px)",'-webkit-transition':time+'ms ease-in-out'});
	}
	
	var createHtml = function (op) {
		var id = op.id,
		data = op.data,
		defaultIndex = op.defaultIndex,
		_width = ( 100 / data.length ) + '%',
		_width2 = ( 100 / data.length /2);
		var html = '<div class="cui-main-tab-list" id="testTab"><span class="cui-tab-line-bot" style="left: ' + _width2/2 +'%;width: ' + _width2 + '%"></span>';
		$.each(data, function (k, v) {
			var _item;
			if (defaultIndex === k) {
				_item = '<a href="#' + v.lk +'" class="tab-a selected" style="width: ' + _width + '">' + v.text +'<span></span></a>';
			} else {
				_item = '<a href="#' + v.lk +'"  class="tab-a" style="width:' + _width +'">' + v.text +'<span></span></a>';
			}
			
			html += _item;
		});
		html += '</div>';
		return html;
		
	};
	var Tab = function () {
		this.init.apply(this, arguments);
	};
	Tab.prototype = {
		constructor: Tab,
		init: function () {
			var args = Array.prototype.slice.apply(arguments)[0]
				op = args[0],
				cb = args[1];
			this.render(op, cb);
		},
		render: function (op, cb) {
			var id = op.id,
			render = op.render,
			html = createHtml(op);
			$('#' + render).append(html);
			
			var subDiv = op.subId,
				 subLen = $('#' + subDiv).children('div').length,
				 dataLen = op.data.length;
				$('#' + subDiv)[0].style.width = winW * subLen + 'px';

			var tempAry =  $('#' + subDiv + ' > div');
			$.each(tempAry, function (k , v) {
				$(v)[0].style.width = (100 / subLen + '%'); 
			});
			
			this.bindEvent(op, cb);
		},
		bindEvent: function (op, cb) {
			var subDiv = op.subId,
				 subLen = $('#' + subDiv).children('div').length,
				dataLen = op.data.length;
				
			
			$('body').delegate('.tab-a', 'click', function (e) {
				//点击样式
				$(this).siblings('a').removeClass('selected');
				$(this).addClass('selected'); 
				
				//测算宽度
				var divIndex = $(this).index(); 
				//tab动画
				transformBox($('.cui-tab-line-bot'), (divIndex - 1) * winW / dataLen, 300); 
				//关联的DIV动画
				transformBox($('#' + subDiv), -1 * (divIndex - 1) * winW, 300);
				//回调
				var self = $(this);
				if ($.isFunction (cb)) {
					cb(self);
					
				} 
			});
		
		}
		
	};


	var tab = function () {
		return new Tab(arguments);
	};
	$.tab = tab;
})(af);